> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/company-news-signals-api-deprecated/bulk-remove-triggers.md).

# Bulk Remove Triggers

`DELETE /api/v1/trigger/{GROUP_NAME} HTTP/1.1`

Replace GROUP\_NAME with the Group Name under which the triggers have to be removed

**Request body**

```
{
            "triggerCodes": ["trigger_code"]
}
```

| Param         | Mandatory | Description                                                       |
| ------------- | --------- | ----------------------------------------------------------------- |
| trigger\_code | Y         | Array of Intellizence Trigger Codes that you would like to remove |

**Response body**

```
{
            "nonExistingTriggerCodes": ["trigger_code"],
            "nonTrackedTriggerCodes": ["trigger_code"],
            "removedTriggerCodes": ["trigger_code"]
}
                                        
```

| Param                   | Description                                                                |
| ----------------------- | -------------------------------------------------------------------------- |
| nonExistingTriggerCodes | Array of Trigger Codes which are not existing in the Intellizence database |
| nonTrackedTriggerCodes  | Array of Trigger Codes which are not been tracked                          |
| removedTriggerCodes     | Array of Trigger Codes which are removed                                   |
